<?php

include ("header.php");


function devis_mod($id, $id_axa) { 
	global $link, $devis, $GLOBAL_TITRE;

	$color_table="#FFFFFF";
	$color_left="#FAFAFA";
	$color_right="#FFFFFF";
		
	if ($id_axa!="") $result=mysql_query("SELECT * FROM devis WHERE id_axa='$id_axa'", $link);
	else $result=mysql_query("SELECT * FROM devis WHERE id='$id'", $link);
	if (mysql_num_rows($result)==0) {echo '<center><br />Aucun enregistrement ne correspond à cet identifiant !<br /><br /></center>'; return false;}
	$row=mysql_fetch_array($result); 
	foreach ($row as $key=>$value) ${$key}=html($value);
			
		
	
	$info="&nbsp;&nbsp;&nbsp;Ajouté le ".datetime_short($date_add)." par ".utilisateur_nom($id_apporteur);
	if ($date_mod!="0000-00-00 00:00:00") $info.="<br>&nbsp;&nbsp;&nbsp;Modifié le ".datetime_short($date_mod)." par ".utilisateur_nom($id_utilisateur_mod);
	
	
	$GLOBAL_TITRE.="Modification d'un devis";
	
	
	echo '
	
	
	<table cellpadding="2" cellspacing="0" border="0" bgcolor="black"  width="100%">
	<form method="post" action="devis.php" name="form1">
    <tr> 
       <td valign="top" class="white" height="22">
		<b>&raquo;&nbsp;</b><a class="white" href="devis.php?req=liste"><b>Devis</b></a><b>&nbsp;&raquo;&nbsp;Modification d\'un devis</b>
	</td></tr>
	<tr> 
       <td valign="top" class="white" height="22" bgcolor="#999999">
		'.$info.'
	</td></tr>
	
	<tr>
    <td valign="top" width="100%" bgcolor="ffffff">
	
	
	
	<table cellpadding="5" cellspacing="2" border="0" bgcolor="'.$color_table.'">
	
	<tr>
		<td bgcolor="'.$color_left.'" align="right"><b>Id</b></td>
		<td bgcolor="'.$color_right.'"><input type="text" name="id_axa" size="20" maxlength="250" value="'.$id_axa.'"> (NT'.$id.')</td>
	</tr>
	<tr>
		<td bgcolor="'.$color_left.'" align="right"><b>Type</b></td>
		<td bgcolor="'.$color_right.'"><select name="id_type">';
		$result=mysql_query("SELECT id, nom FROM devis_type", $link);
		while ($row=mysql_fetch_array($result)){
			echo '<option value="'.$row["id"].'"'.(($id_type==$row["id"])?"SELECTED":"").'>'.$row["nom"];
			}
		echo '
			</select></td>
	</tr>

	<tr>
		<td bgcolor="'.$color_left.'" align="right"><b>Nom du client</b></td>
		<td bgcolor="'.$color_right.'">'.$nom.'</td>
	</tr>
	
	<tr>
		<td bgcolor="'.$color_left.'" align="right"><b>Apporteur</b></td>
		<td bgcolor="'.$color_right.'">'.utilisateur_nom($id_apporteur).'</td>
	</tr>
	<tr>
		<td bgcolor="'.$color_left.'" align="right" valign="top"><b>Devis</b></td>
		<td bgcolor="'.$color_right.'">'.$texte.'</td>
	</tr>
	
	<tr>
		<td bgcolor="'.$color_left.'" align="right"><b>Montant</b></td>
		<td bgcolor="'.$color_right.'"><input type="text" name="montant" size="5" maxlength="250" value="'.$montant.'"> €</td>
	</tr>
	<tr>
		<td bgcolor="'.$color_left.'" valign="top" align="right"><b>Commentaires</b></td>
		<td bgcolor="'.$color_right.'"><textarea name="information" cols="49" rows="6" style="overflow:auto;">'.$information.'</textarea></td>
	</tr>
	<tr>
		<td bgcolor="'.$color_left.'" align="right"><b>Trait&eacute; par</b></td>
		<td bgcolor="'.$color_right.'"><select name="id_utilisateur">';
		
		$result=mysql_query("SELECT id, nom, prenom, type FROM utilisateurs WHERE type<=2 ORDER BY type DESC", $link);
		while ($row=mysql_fetch_array($result)){
			echo '<option value="'.$row["id"].'" '.(($id_utilisateur==$row["id"])?"SELECTED":"").'>'.strtoupper($row["nom"])." ".ucwords($row["prenom"]);
			}
		
		echo '</select></td>
		</tr>
	
	</table>
	
	</td></tr>
    <tr>
	<td align="center"><br/>
	<input type="hidden" name="req" value="save">
	<input type="hidden" name="id" value="'.$id.'">
	<input type="submit" value="Enregistrer"><br/><br/></td></tr>
	</form></table>
	';
	}



function devis_save() {
    global $link, $GLOBAL_TITRE;

	foreach ($_POST as $key=>$value) {
		if (is_array($value)) {
			foreach ($value as $akey=>$avalue) {
				if (!is_array($avalue)) $_POST[$key][$akey]=var_post_post($avalue);
				else $_POST[$key][$akey]=$avalue;
				}
			}
		else $_POST[$key]=var_post_post($value);
		}
		
	$error=0;
	echo '<center>';	
	
	if ($_POST["id_axa"]=="") {
        $error=1;
        echo '<b>Le champ identifiant doit être saisi !</b><br><br>';
    	}
		
	$sql="SELECT id FROM devis WHERE id_axa='".mysql_escape_string($_POST["id_axa"])."'";
	$test_res=mysql_query($sql, $link);
	if (mysql_num_rows($test_res)!=0){
		$test_id=mysql_result($test_res, 0, "id");
		if ($_POST["id"]!=""){
			if ($test_id!=$_POST["id"]) {
				$error=1;
				echo 'Ce devis est déjà inscrit !';
				}
			}
		else {
			$error=1;
			echo 'Ce devis est déjà inscrit !';
			}
		}
			
	if ($error!=1){
	 	$sql_more="";
		
		foreach ($_POST as $key=>$value){
			if ($key!="req" && $key!="id") $sql_more.=",".$key."='".$value."'";
			}
		
		
		if ($_POST["id"]!="") {
			$sql_action="UPDATE";
			$sql_more="date_mod=NOW(), id_utilisateur_mod='".$_SESSION["SS_user_id"]."' ".$sql_more." WHERE id='".$_POST["id"]."'";
			}
			
		
		$sql=$sql_action." devis SET ".$sql_more;
		mysql_query($sql, $link);echo mysql_error();
		if ($_POST["id"]=="") $_POST["id"]=mysql_insert_id();
		echo '<br><font class="normal">Merci !</font><br>
		<font class="normal">Les informations ont été enregistrées !
		<br><font class="normal">La fiche <a class="normal" href="devis.php?req=mod&id='.$_POST["id"].'">#'.$_POST["id_axa"].'</a> est à jour</font>
		<br /><br />
		<font class="normal"><a class="normal" href="devis.php?req=liste">Retour à la liste</a></font><br></center><br />';
		$GLOBAL_TITRE.="Enregistrement #".$_POST["id_axa"].' effectué';
		}
	else echo '<br/><input type="button" onClick="history.go(-1)" value="Retour"></center>';
	}


	
function devis_liste($page=0) {
    global $link, $GLOBAL_TITRE;
	$GLOBAL_TITRE.="Liste";
	$per_page=20;
	$start=$page*$per_page;
	
	echo '<center>
	<table border=0 cellpadding="5" cellspacing="1" width="100%" bgcolor="#EEEEEE">
	
	<tr class="white">
	<td bgcolor="#000000"><b>#</b></td>
	<td bgcolor="#000000" align="center"><b>Traité</b></td>
	<td bgcolor="#000000" align="center"><b>Type</b></td>
	<td bgcolor="#000000" align="center"><b>Apporteur</b></td>
	<td bgcolor="#000000" align="center"><b>Date</b></td>
	<td bgcolor="#000000" align="center"><b>Actions</b></td>
	</tr>';
	
	$sql_more="";
	if (isset($_GET["apporteur"])) {
		if ($_GET["apporteur"]==="") {}
		elseif ($_GET["apporteur"]=="-1") 
			$sql_more.=" AND id_apporteur!='0'";
		else 
			$sql_more.=" AND id_apporteur='".mysql_real_escape_string($_GET["apporteur"])."'";
		}
	$nb_res=mysql_result(mysql_query("SELECT count(id) FROM devis WHERE 1 ".$sql_more."", $link),0);
	
	$query="SELECT id, id_axa, id_type, id_apporteur, date_add, nom FROM devis WHERE 1 ".$sql_more." ORDER by date_add DESC LIMIT ".$start.", ".$per_page."";
	$result=mysql_query($query, $link);$i=1;
	while ($row=mysql_fetch_array($result)){
		$id=$row['id'];	
		$id_axa=$row['id_axa'];
		$type=devis_type_nom($row['id_type']);
		$id_apporteur=$row['id_apporteur'];
		$nom=html($row['nom']);
		$date_add=dateshort($row['date_add']);
		if ($id_axa==0) {
			$traite='<font color="red"><big><b>&bull;</b></big></font>';
			$id_axa="";
			}
		else $traite='<font color="#AED536"><big><b>&bull;</b></big></font>';
		echo '<tr bgcolor="#FFFFFF">
		<td><a href="devis.php?req=mod&id='.$id.'"><img src="../images/admin/devis.gif" align="absmiddle" style="margin-right:3px;" border="0">'.(($id_axa!="0" && $id_axa!="" )?"".$id_axa:"NT".$id).'</a>
		'.$nom.'</td>
		<td align="center">'.$traite.'</td>
		<td align="center">'.$type.'</td>
		<td align="center">'.utilisateur_nom($id_apporteur).'</td>
		<td align="center">'.$date_add.'</td>
		<td align="center">
		<a title="Modifier" href="devis.php?req=mod&id='.$id.'"><img src="../images/admin/mod.gif" align="absmiddle" border="0"></a>
		<a title="Supprimer" href="#" onclick="if(window.confirm(\'Etes vous sûr de vouloir supprimer ce devis ?\')) location.href=\'devis.php?req=del&id='.$id.'\'; else return false;"><img src="../images/admin/del.gif" align="absmiddle" border="0"></a></td>		
		</tr>';
		}
	
	echo '</table>
	<br />
	<table border="0" cellpadding="4" cellspacing="1"><tr>
	';
	
	$nb_page=ceil($nb_res/$per_page);
	$page_visu=$page+1;
	
	if ($nb_page>1){
		echo '<td align="left" width="80">';
		if ($page>0) echo '<a href="devis.php?req=liste&page='.($page-1).'">< Précédent</a>';
		echo '</td>';
		
		for ($i=1; $i<=$nb_page; $i++){
			if ($i<=3) echo '<td><a href="devis.php?req=liste&page='.($i-1).'">'.(($i==$page_visu)?"<b>".$i."</b>":$i).'</a></td>';
			elseif ($i==($page_visu-2) && $i<=($page_visu+2)) echo '<td>...</td>';
			elseif ($i>=($page_visu-2) && $i<=($page_visu+2)) 	echo '<td><a href="devis.php?req=liste&page='.($i-1).'">'.(($i==$page_visu)?"<b>".$i."</b>":$i).'</a></td>';
			elseif ($i==($nb_page-3))echo '<td>...</td>';
			elseif ($i>=($nb_page-3)) echo '<td><a href="devis.php?req=liste&page='.($i-1).'">'.(($i==$page_visu)?"<b>".$i."</b>":$i).'</a></td>';
			}
		
		echo '<td align="right" width="80">';
		if ($page_visu<$nb_page) echo '<a href="devis.php?req=liste&page='.($page+1).'">Suivant ></a>';
		echo '</td>';
		}
	echo '</tr></table></center>
	';
	}
	

function devis_del($id) {
    global $link;
	if (($id=="")||($id=="0")) exit();
   	mysql_query("DELETE FROM devis WHERE id='$id'", $link);
	devis_liste();
	}

if (!isset($req)) $req="";
switch($req) {

        case "liste":
			if (!isset($page)) $page="0";
            devis_liste($page);
            break;
			
        case "mod":
			if (!isset($id)) $id="";
            if (!isset($id_axa)) $id_axa="";
            devis_mod($id, $id_axa);
            break;
						
        case "save":
			devis_save();
            break;

        case "del":
            devis_del($id);
            break;

      default:
			devis_liste();
            break;
	}

include ("footer.php");
	
?>